From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 21 July 2010<P>

Edmundo Daudi, about <a href="/blend/wv.cgi?id=2010.07.21.04.54.29918">Vanesa</a>:<BR>
i like!
<HR>
From: <a href="/blend/av.cgi?id=1498">twisted_lie</a><BR>
Date: 21 July 2010<P>

i'm just him, about <a href="/blend/wv.cgi?id=2010.05.29.02.38.2936">We might as well be strangers</a>:<BR>
<BR>
<BR>
Love it
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 21 July 2010<P>

Farah, about <a href="/blend/wv.cgi?id=2010.07.20.16.53.1526">Blossoms flourish from destruction</a>: thank you for the comment, and this piece of yours was beautiful to read, I loved how you started it off <BR>
<BR>
"she dwells in grief, not the common known kind of sorrow, but in that, the one that no one ever mentions, no one ever speaks of, drowning in never ending obstacles"<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 21 July 2010<P>

Edmundo Daudi, about <a href="/blend/wv.cgi?id=2010.07.21.04.54.29918">Vanesa</a>: I love this, It's got this vibe that everyone can relate to, because chances are everyones been through it.<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 21 July 2010<P>

B.K., about <a href="/blend/wv.cgi?id=2010.07.17.21.00.13165">(Rewind Replay)</a>: I don't know how I missed this work, you are my poetry role model lol<BR>
<BR>
there's been alot of good work this month, I guess all we needed was fireworks<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>